package ipp.imse.fusionOptics.imse;

import fusionOptics.lenses.Nikon135mmF28;
import fusionOptics.lenses.Nikon50mmF11;
import fusionOptics.lenses.SchneiderXenon25mmF095;

/** Same as 135_50, but using a 50mm f/1.1 rescaled to 135mm as the objective, rather than the proper 135mm F/2.8 */
public class IMSEOptics135_50_rescaled extends IMSEOptics {
	public IMSEOptics135_50_rescaled() {
	
		focalLength1 = 0.135;
		
		focalLength2 = 0.050;

		rotateObjLens = true;
		
		imgLensPlaneToCell = 0.040; //for the 50mm
		
		objLensPlaneToCell = rotateObjLens ? 0.100 : 0.080; //for the 135
		
		objLens = new Nikon50mmF11(new double[]{ focalLength1 + focusAdjustObj, 0, 0 }, 0.135/0.050);
		objLensCaseRadius = ((Nikon50mmF11)objLens).getCaseRadius();
		
		imgLens = new Nikon50mmF11(new double[]{ imgLensPos(), 0, 0 });
		imgLensCaseRadius = ((Nikon50mmF11)imgLens).getCaseRadius();
				
		init();
	}
}
